Search documentation of wx

# View Source wxMaximizeEvent (wx v2.4.2)

Functions for wxMaximizeEvent class

An event being sent when a top level window is maximized. Notice that it is not sent when the window is restored to its original size after it had been maximized, only a normal `wxSizeEvent` is generated in this case.

Currently this event is only generated in wxMSW, wxGTK and wxOSX/Cocoa ports so portable programs should only rely on receiving `wxEVT_SIZE` and not necessarily this event when the window is maximized.

See: Overview events, `wxTopLevelWindow:maximize/2`, `wxTopLevelWindow:isMaximized/1`

This class is derived (and can use functions) from: `wxEvent`

wxWidgets docs: wxMaximizeEvent

## Events

Use `wxEvtHandler:connect/3` with `wxMaximizeEventType` to subscribe to events of this type.

# Summary

## Types

wxMaximize()
wxMaximizeEvent()
wxMaximizeEventType()

# Types

Link to this type

# wxMaximize()

View Source

    -type wxMaximize() :: #wxMaximize{type :: wxMaximizeEvent:wxMaximizeEventType()}.

Link to this type

# wxMaximizeEvent()

View Source

    -type wxMaximizeEvent() :: wx:wx_object().

Link to this type

# wxMaximizeEventType()

View Source

    -type wxMaximizeEventType() :: maximize.